package com.heyu.api.data.entity.user;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*用户控制涂鸦设备指令表
* @author quyixiao
* @since 2025-03-04
*/

@Data
@TableName("user_handling_device")
public class UserHandlingDeviceEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.user.UserHandlingDeviceEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                             // 
    public final static String code_ = CLASS_NAME + "code";                         // 字段名
    public final static String value_ = CLASS_NAME + "value";                       // 值
    public final static String type_ = CLASS_NAME + "type";                         // 数据类型
    public final static String max_ = CLASS_NAME + "max";                           // 最大值
    public final static String min_ = CLASS_NAME + "min";                           // 最小值
    public final static String step_ = CLASS_NAME + "step";                         // 步长
    public final static String matching_fields = CLASS_NAME + "matching_fields";    // 匹配字段
    public final static String category_code = CLASS_NAME + "category_code";        // 分类字段名称
    public final static String category_name = CLASS_NAME + "category_name";        // 分类名称
    public final static String is_delete = CLASS_NAME + "is_delete";                // 
    public final static String create_time = CLASS_NAME + "create_time";            // 
    public final static String modify_time = CLASS_NAME + "modify_time";            // 
    public final static String u3d_status_id = CLASS_NAME + "u3d_status_id";        // U3D对应的状态ID
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //字段名
    private String code;
    //值
    private String value;
    //数据类型
    private String type;
    //最大值
    private Integer max;
    //最小值
    private Integer min;
    //步长
    private Integer step;
    //匹配字段
    private String matchingFields;
    //分类字段名称
    private String categoryCode;
    //分类名称
    private String categoryName;
    //
    private Integer isDelete;
    //
    private Date createTime;
    //
    private Date modifyTime;
    //U3D对应的状态ID
    private Long u3dStatusId;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 字段名 
     * @return
     */
    public String getCode() {
        return code;
    }
    /**
     * 字段名 
     * @param code
     */
    public void setCode(String code) {
        this.code = code;
    }

    /**
     * 值 
     * @return
     */
    public String getValue() {
        return value;
    }
    /**
     * 值 
     * @param value
     */
    public void setValue(String value) {
        this.value = value;
    }

    /**
     * 数据类型 
     * @return
     */
    public String getType() {
        return type;
    }
    /**
     * 数据类型 
     * @param type
     */
    public void setType(String type) {
        this.type = type;
    }

    /**
     * 最大值 
     * @return
     */
    public Integer getMax() {
        return max;
    }
    /**
     * 最大值 
     * @param max
     */
    public void setMax(Integer max) {
        this.max = max;
    }

    /**
     * 最小值 
     * @return
     */
    public Integer getMin() {
        return min;
    }
    /**
     * 最小值 
     * @param min
     */
    public void setMin(Integer min) {
        this.min = min;
    }

    /**
     * 步长 
     * @return
     */
    public Integer getStep() {
        return step;
    }
    /**
     * 步长 
     * @param step
     */
    public void setStep(Integer step) {
        this.step = step;
    }

    /**
     * 匹配字段 
     * @return
     */
    public String getMatchingFields() {
        return matchingFields;
    }
    /**
     * 匹配字段 
     * @param matchingFields
     */
    public void setMatchingFields(String matchingFields) {
        this.matchingFields = matchingFields;
    }

    /**
     * 分类字段名称 
     * @return
     */
    public String getCategoryCode() {
        return categoryCode;
    }
    /**
     * 分类字段名称 
     * @param categoryCode
     */
    public void setCategoryCode(String categoryCode) {
        this.categoryCode = categoryCode;
    }

    /**
     * 分类名称 
     * @return
     */
    public String getCategoryName() {
        return categoryName;
    }
    /**
     * 分类名称 
     * @param categoryName
     */
    public void setCategoryName(String categoryName) {
        this.categoryName = categoryName;
    }

    /**
     *  
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     *  
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     *  
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     *  
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     *  
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     *  
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * U3D对应的状态ID 
     * @return
     */
    public Long getU3dStatusId() {
        return u3dStatusId;
    }
    /**
     * U3D对应的状态ID 
     * @param u3dStatusId
     */
    public void setU3dStatusId(Long u3dStatusId) {
        this.u3dStatusId = u3dStatusId;
    }

    @Override
    public String toString() {
        return "UserHandlingDeviceEntity{" +
                ",id=" + id +
                ",code=" + code +
                ",value=" + value +
                ",type=" + type +
                ",max=" + max +
                ",min=" + min +
                ",step=" + step +
                ",matchingFields=" + matchingFields +
                ",categoryCode=" + categoryCode +
                ",categoryName=" + categoryName +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",u3dStatusId=" + u3dStatusId +
                "}";
    }
}